PCI_FIND_BUS(9)

NAME
pci_find_bus - locate PCI bus from a given domain and bus number

SYNOPSIS

struct pci_bus * pci_find_bus(int domain, int busnr);

ARGUMENTS

domain
    number of PCI domain to search

busnr
    number of desired PCI bus

DESCRIPTION

Given a PCI bus number and domain number, the desired PCI bus is located in the global list of PCI buses. If the bus is found, a pointer to its data structure is returned. If no bus is found, NULL is returned.

COPYRIGHT